AgentInfo_args (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.bizapp.shared.lather.AgentInfo_args class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.bizapp.shared.lather
Class AgentInfo_args

    java.lang.Object
      org.hyperic.lather.LatherValue
          org.hyperic.hq.bizapp.shared.lather.AgentInfo_args

Direct Known Subclasses:
  RegisterAgent_args, UpdateAgent_args

    public abstract class AgentInfo_args

extends org.hyperic.lather.LatherValue

Constructor Summary
`AgentInfo_args()`

Method Summary
`java.lang.String` | `getAgentIP()`
`int` | `getAgentPort()`
`java.lang.String` | `getAgentToken()`
`java.lang.String` | `getPword()`
`java.lang.String` | `getUser()`
`boolean` | `isNewTransportAgent()`
`boolean` | `isUnidirectional()`
`void` | `setAgentIP(java.lang.String agentIP)`
`void` | `setAgentPort(int agentPort)`
`void` | `setAgentToken(java.lang.String agentToken)`
`void` | `setNewTransportAgent(boolean unidirectional)`
`void` | `setPword(java.lang.String pword)`
`void` | `setUser(java.lang.String user)`
`void` | `validate()`

Methods inherited from class org.hyperic.lather.LatherValue
`addByteAToList, addDoubleToList, addIntToList, addObjectToList, addStringToList, getByteAList, getByteALists, getByteAVals, getByteAValue, getDoubleList, getDoubleLists, getDoubleVals, getDoubleValue, getIntList, getIntLists, getIntVals, getIntValue, getLongVals, getLongValue, getObjectList, getObjectLists, getObjectVals, getObjectValue, getStringList, getStringLists, getStringVals, getStringValue, setByteAValue, setDoubleValue, setIntValue, setLongValue, setObjectValue, setStringValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgentInfo_args

    public AgentInfo_args()

Method Detail

### setNewTransportAgent

    public void setNewTransportAgent(boolean unidirectional)

### isUnidirectional

    public boolean isUnidirectional()

### isNewTransportAgent

    public boolean isNewTransportAgent()

### setUser

    public void setUser(java.lang.String user)

### getUser

    public java.lang.String getUser()

### setPword

    public void setPword(java.lang.String pword)

### getPword

    public java.lang.String getPword()

### setAgentIP

    public void setAgentIP(java.lang.String agentIP)

### getAgentIP

    public java.lang.String getAgentIP()

### setAgentPort

    public void setAgentPort(int agentPort)

### getAgentPort

    public int getAgentPort()

### setAgentToken

    public void setAgentToken(java.lang.String agentToken)

### getAgentToken

    public java.lang.String getAgentToken()

### validate

    public void validate()
                  throws org.hyperic.lather.LatherRemoteException

  Specified by:
    `validate` in class `org.hyperic.lather.LatherValue`
  Throws:
    `org.hyperic.lather.LatherRemoteException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.